#ifndef STORYBOOK_H
#define STORYBOOK_H

#include <vector>
#include <cstdio>
#include "cyoa.h"

class Storybook {
private:
  std::vector<Page*> pages;
  Page *current;
public:
  Storybook(FILE* fin);
  void Find(const char*);
  void Play();
  bool IsEnded = false;
};

#endif /* STORYBOOK_H */
